{
  "name": "myzel",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "run-p type-check build-only",
    "preview": "vite preview",
    "test:unit": "vitest",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@pixi/filter-color-map": "^5.1.1",
    "@svgdotjs/svg.js": "^3.1.2",
    "gl-vec2": "^1.3.0",
    "lodash": "^4.17.21",
    "pixi-filters": "^5.2.1",
    "pixi-viewport": "^5.0.1",
    "pixi.js": "^7.2.4",
    "primeflex": "^3.3.0",
    "primevue": "^3.29.1",
    "vue": "^3.3.2",
    "vue-router": "^4.2.4"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.2.0",
    "@tsconfig/node18": "^2.0.1",
    "@types/gl-vec2": "^1.3.2",
    "@types/jsdom": "^21.1.1",
    "@types/lodash": "^4.14.194",
    "@types/node": "^18.16.8",
    "@types/vec2": "^1.6.2",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vue/cli-plugin-router": "~5.0.0",
    "@vue/eslint-config-prettier": "^7.1.0",
    "@vue/eslint-config-typescript": "^11.0.3",
    "@vue/test-utils": "^2.3.2",
    "@vue/tsconfig": "^0.4.0",
    "eslint": "^8.39.0",
    "eslint-plugin-vue": "^9.11.0",
    "jsdom": "^22.0.0",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.8.8",
    "typescript": "~5.0.4",
    "vite": "^4.3.5",
    "vitest": "^0.31.0",
    "vue-tsc": "^1.6.4"
  }
}
